| Visioscan Set SDK Libraries 1.0.28 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AgvSensor Class Reference

`#include <AgvSensor.h>`

Inheritance diagram for AgvSensor:

## Public Member Functions
| AgvSensor ()
| Base constructor.
| ~AgvSensor ()
| Destructor (disconects the data sensor)
| AgvSensor (BaseCommunication *comm)
| Copy constructor: sets the basic communication object.
CommunicationStatus | Initialize ()
| Initializes the object to connect the sensor.
void | Close ()
| Method that closes all communication stops all threads and cleanup memory This method must be called when finishing usage of sensor.
RawData | RetrieveRawData ()
| Wait for Raw Data availability.
void | SendMdi ()
| Request the sensor to start sending MDI data to host.
void | StopMdi ()
| Request the sensor to stop sending MDI data to host.
PROTOCOL | GetRawDataExchangeMode ()
| Get the raw data exchange mode.
AngleRange | GetAngleRange ()
| Gets the angle range.
SCAN_PACKET_TYPE | GetDataPacketType ()
| Gets the data packed type.
unsigned int | GetImmunityLevel ()
| Gets the immunity level.
ContaminationThreshold | GetContaminationThreshold ()
| Gets the contamination threshold.
SoftwareVersion | GetVersion ()
| Gets the sensor version data.
int | GetTemperature ()
| Gets the temperature.
vector< RawDataError > | GetErrorLog ()
| Gets the error log.
NetworkInformation | GetNetworkInformation ()
| Gets whole data information.
string | GetDeviceName ()
| Gets the sensor's name.
ConfigurationResult | SetRawDataExchangeMode (PROTOCOL pProtocol)
| Sets the RAW data exchange mode. Can be either TCP or UDP.
ConfigurationResult | SetDataPacketType (SCAN_PACKET_TYPE pPacketType)
| Sets the packet type returned in raw data. Can be either DISTANCE or DISTANCE_INTENSITY.
ConfigurationResult | SetAngleRange (AngleRange pAngleRange)
| Sets the Angle range (start and stop)
ConfigurationResult | SetImmunityLevel (int pImmunityLevel)
| Sets the sensor's immunity level.
ConfigurationResult | SetContaminationThreshold (ContaminationThreshold pContaminationThreshold)
| Sets the contamination level threshold for warning and error.
ConfigurationResult | SetNetworkInformation (NetworkInformation pNetwork)
| Set the overall network information except IP v4 and Port.
ConfigurationResult | SetDeviceName (string pName)
| Sets the sensor's name.
void | ResetDevice ()
| Resets the device.
void | RebootDevice ()
| Reboots the device.
vector< unsigned int > | GetWms ()
| Returns the window monitoring system of each sector (SECTORS_COUNT sectors - 132 -)
FieldName | GetFieldName (int fieldSetNumber)
| Gets the field name for a given field number.
ObjectSize | GetObjectSize ()
| Gets the object size.
FieldData | GetField (uint8_t fieldNumber, NativeZoneTypeEnum zone)
| Returns the requested field data.
MultipleSampling | GetMultipleSampling ()
| Gets the multiple sampling data.
HoldTime | GetHoldTime ()
| Gets Hold Time (ms)
OutputActiveLevel | GetOutputActiveLevel ()
| Gets the output active level for 4 outputs.
OutputFunction | GetOutputFunction ()
| Gest the output function for 4 outputs.
AgvSensorLeds | GetSensorLeds ()
| Gets the navigation sensor leds status.
ConfigurationResult | SetFieldName (FieldName fieldName)
| Gets the sensor lamps status.
ConfigurationResult | SetObjectSize (ObjectSize sizeToSet)
| Sets the object size.
ConfigurationResult | SetField (FieldData data)
| Set the requested field data.
ConfigurationResult | SetMultipleSampling (MultipleSampling sampling)
| Sets the multiple sampling.
ConfigurationResult | SetHoldTime (HoldTime holdTime)
| Sets the Hold time.
ConfigurationResult | SetOutputActiveLevel (OutputActiveLevel activeLevel)
| Sets the output active level.
ConfigurationResult | SetOutputFunction (OutputFunction function)
| Sets the output function.
ConfigurationResult | SetSensorLeds (AgvSensorLeds leds)
| Sets the sensor's leds.
ConfigurationResult | StoreInFlash ()
| Store fields in the flash.

## Constructor & Destructor Documentation

## ◆ AgvSensor() [1/2]

AgvSensor::AgvSensor | ( |  | ) |

Base constructor.

## ◆ ~AgvSensor()

AgvSensor::~AgvSensor | ( |  | ) |

Destructor (disconects the data sensor)

## ◆ AgvSensor() [2/2]

AgvSensor::AgvSensor | ( | BaseCommunication * | comm | ) |

Copy constructor: sets the basic communication object.

Parameters

  comm | The basic communication object

## Member Function Documentation

## ◆ Close()

void AgvSensor::Close | ( |  | ) |

Method that closes all communication stops all threads and cleanup memory This method must be called when finishing usage of sensor.

## ◆ GetAngleRange()

AngleRange AgvSensor::GetAngleRange | ( |  | ) |

Gets the angle range.

Returns
  An encapsulation of angle range

## ◆ GetContaminationThreshold()

ContaminationThreshold AgvSensor::GetContaminationThreshold | ( |  | ) |

Gets the contamination threshold.

Returns
  An encapsulation of the contamination threshold

## ◆ GetDataPacketType()

SCAN_PACKET_TYPE AgvSensor::GetDataPacketType | ( |  | ) |

Gets the data packed type.

Returns
  DISTANCE or DISTANCE_INTENSITY

## ◆ GetDeviceName()

string AgvSensor::GetDeviceName | ( |  | ) |

Gets the sensor's name.

Returns
  A string representing the sensor's name

## ◆ GetErrorLog()

vector< RawDataError > AgvSensor::GetErrorLog | ( |  | ) |

Gets the error log.

Returns
  An encapsulation representing the error log

## ◆ GetField()

FieldData AgvSensor::GetField | ( | uint8_t | fieldNumber,
|  | NativeZoneTypeEnum | zone )

Returns the requested field data.

Parameters

  fieldNumber | The field number we want to retrieve
  zone | The zone type (Protection, Warning 1, Warning 2)

Returns
  An object encapsulating the results

## ◆ GetFieldName()

FieldName AgvSensor::GetFieldName | ( | int | fieldSetNumber | ) |

Gets the field name for a given field number.

Parameters

  fieldSetNumber | The fieldset number to retrieve

Returns
  An encapsulation of date

## ◆ GetHoldTime()

HoldTime AgvSensor::GetHoldTime | ( |  | ) |

Gets Hold Time (ms)

Returns

## ◆ GetImmunityLevel()

unsigned int AgvSensor::GetImmunityLevel | ( |  | ) |

Gets the immunity level.

Returns
  An integer representing the immunity level

## ◆ GetMultipleSampling()

MultipleSampling AgvSensor::GetMultipleSampling | ( |  | ) |

Gets the multiple sampling data.

Returns
  An ogject encapsulating warning 1 & 2 and protection

## ◆ GetNetworkInformation()

NetworkInformation AgvSensor::GetNetworkInformation | ( |  | ) |

Gets whole data information.

Returns
  An encapsulated way to group the network information

## ◆ GetObjectSize()

ObjectSize AgvSensor::GetObjectSize | ( |  | ) |

Gets the object size.

Returns
  An encapsulation of enums

## ◆ GetOutputActiveLevel()

OutputActiveLevel AgvSensor::GetOutputActiveLevel | ( |  | ) |

Gets the output active level for 4 outputs.

Returns
  An object encapsulating the levels

## ◆ GetOutputFunction()

OutputFunction AgvSensor::GetOutputFunction | ( |  | ) |

Gest the output function for 4 outputs.

Returns
  An object encapsulating the functions

## ◆ GetRawDataExchangeMode()

PROTOCOL AgvSensor::GetRawDataExchangeMode | ( |  | ) |

Get the raw data exchange mode.

Returns
  TCP or UDP

## ◆ GetSensorLeds()

AgvSensorLeds AgvSensor::GetSensorLeds | ( |  | ) |

Gets the navigation sensor leds status.

## ◆ GetTemperature()

int AgvSensor::GetTemperature | ( |  | ) |

Gets the temperature.

Returns
  An integer representing the sensor's temperature

## ◆ GetVersion()

SoftwareVersion AgvSensor::GetVersion | ( |  | ) |

Gets the sensor version data.

Returns
  An encapsulation representing the sensor version

## ◆ GetWms()

vector< unsigned int > AgvSensor::GetWms | ( |  | ) |

Returns the window monitoring system of each sector (SECTORS_COUNT sectors - 132 -)

Returns

## ◆ Initialize()

CommunicationStatus AgvSensor::Initialize | ( |  | ) |

Initializes the object to connect the sensor.

## ◆ RebootDevice()

void AgvSensor::RebootDevice | ( |  | ) |

Reboots the device.

## ◆ ResetDevice()

void AgvSensor::ResetDevice | ( |  | ) |

Resets the device.

## ◆ RetrieveRawData()

RawData AgvSensor::RetrieveRawData | ( |  | ) |

Wait for Raw Data availability.

Returns
  A pointer to the dequeued raw data

## ◆ SendMdi()

void AgvSensor::SendMdi | ( |  | ) |

Request the sensor to start sending MDI data to host.

## ◆ SetAngleRange()

ConfigurationResult AgvSensor::SetAngleRange | ( | AngleRange | pAngleRange | ) |

Sets the Angle range (start and stop)

Parameters

  pAngleRange | The encapsulation of the angle range to be set

Returns
  A configuration result encapsulation

## ◆ SetContaminationThreshold()

ConfigurationResult AgvSensor::SetContaminationThreshold | ( | ContaminationThreshold | pContaminationThreshold | ) |

Sets the contamination level threshold for warning and error.

Parameters

  pContaminationThreshold | The encapsulation of contamination leve threshold

Returns
  A configuration result encapsulation

## ◆ SetDataPacketType()

ConfigurationResult AgvSensor::SetDataPacketType | ( | SCAN_PACKET_TYPE | pPacketType | ) |

Sets the packet type returned in raw data. Can be either DISTANCE or DISTANCE_INTENSITY.

Parameters

  pPacketType | The packet type to be set

Returns
  A configuration result encapsulation

## ◆ SetDeviceName()

ConfigurationResult AgvSensor::SetDeviceName | ( | string | pName | ) |

Sets the sensor's name.

Returns
  A string representing the sensor's name

## ◆ SetField()

ConfigurationResult AgvSensor::SetField | ( | FieldData | data | ) |

Set the requested field data.

Returns
  A configuration result encapsulation

## ◆ SetFieldName()

ConfigurationResult AgvSensor::SetFieldName | ( | FieldName | fieldName | ) |

Gets the sensor lamps status.

Returns
  An encapsulation of the sensor's internal lamps status

Sets the field name data

Parameters

  fieldName |

Returns
  A configuration result encapsulation

## ◆ SetHoldTime()

ConfigurationResult AgvSensor::SetHoldTime | ( | HoldTime | holdTime | ) |

Sets the Hold time.

Returns
  A configuration result encapsulation

## ◆ SetImmunityLevel()

ConfigurationResult AgvSensor::SetImmunityLevel | ( | int | pImmunityLevel | ) |

Sets the sensor's immunity level.

Parameters

  pImmunityLevel | The immunity level to be set

Returns
  A configuration result encapsulation

## ◆ SetMultipleSampling()

ConfigurationResult AgvSensor::SetMultipleSampling | ( | MultipleSampling | sampling | ) |

Sets the multiple sampling.

Parameters

  sampling |

Returns
  A configuration result encapsulation

## ◆ SetNetworkInformation()

ConfigurationResult AgvSensor::SetNetworkInformation | ( | NetworkInformation | pNetwork | ) |

Set the overall network information except IP v4 and Port.

Parameters

  pNetwork | An encapsulation of the network data

Returns
  A configuration result encapsulation

## ◆ SetObjectSize()

ConfigurationResult AgvSensor::SetObjectSize | ( | ObjectSize | sizeToSet | ) |

Sets the object size.

Parameters

  sizeToSet |

Returns
  A configuration result encapsulation

## ◆ SetOutputActiveLevel()

ConfigurationResult AgvSensor::SetOutputActiveLevel | ( | OutputActiveLevel | activeLevel | ) |

Sets the output active level.

Parameters

  activeLevel |

Returns
  A configuration result encapsulation

## ◆ SetOutputFunction()

ConfigurationResult AgvSensor::SetOutputFunction | ( | OutputFunction | function | ) |

Sets the output function.

Parameters

  function |

Returns
  A configuration result encapsulation

## ◆ SetRawDataExchangeMode()

ConfigurationResult AgvSensor::SetRawDataExchangeMode | ( | PROTOCOL | pProtocol | ) |

Sets the RAW data exchange mode. Can be either TCP or UDP.

Parameters

  pProtocol | The exchange mode (TCP or UDP)

Returns
  A configuration result encapsulation

## ◆ SetSensorLeds()

ConfigurationResult AgvSensor::SetSensorLeds | ( | AgvSensorLeds | leds | ) |

Sets the sensor's leds.

Parameters

  leds |

Returns
  A configuration result encapsulation

## ◆ StopMdi()

void AgvSensor::StopMdi | ( |  | ) |

Request the sensor to stop sending MDI data to host.

## ◆ StoreInFlash()

ConfigurationResult AgvSensor::StoreInFlash | ( |  | ) |

Store fields in the flash.

Returns
  A configuration result encapsulation

The documentation for this class was generated from the following files:

- AgvSensor.h
- AgvSensor.cpp